For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of exports for a database
          • POSTAdds an export to a database
          • PUTUpdates an export configuration
          • DELDelete Export
          • PUTUpdate Schedule in Cron Format
          • POSTRun Export
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformExports

Adds an export to a database

POST
https://meta.feedonomics.com/api.php/dbs/:db_id/exports
POST
/api.php/dbs/:db_id/exports
$curl -X POST https://meta.feedonomics.com/api.php/dbs/69600146/exports \
> -H "x-api-key: commodo consequat reprehe" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Holiday Sale Export",
> "file_name": "holiday_sale_export.csv",
> "protocol": "webhook",
> "protocol_info": {
> "http_method": "POST",
> "http_url": "https://api.partnerwebsite.com/exports/receive",
> "http_body": "{\"products\": [{\"id\": \"12345\", \"price\": \"19.99\"}]}",
> "http_headers": "Content-Type: application/json; Authorization: Bearer abcdef123456"
> },
> "host": "",
> "username": "",
> "password": "",
> "file_header": "ProductID,Price,Quantity",
> "file_footer": "End of Export",
> "threshold": 100,
> "delimiter": "tab",
> "compression": "gzip",
> "quoted_fields": 1,
> "deduplicate_field_name": {},
> "export_format": "delimited",
> "include_column_names": 1,
> "export_encoding": "UTF-8",
> "enclosure": "\"",
> "escape": "\\\\",
> "strip_characters": [
> "\\r",
> "\\n",
> "\\t"
> ],
> "show_empty_tags": 0,
> "use_cdata": 0,
> "xml_write_document_tag": 0,
> "zip_inner_file_name": "holiday_export_inner.csv",
> "time_between_attempts": 5,
> "max_attempts": 3,
> "destination": "target",
> "destination_region": "en-US"
>}'
200webhook
1{
2 "name": "consectetur",
3 "file_name": "exercitation in m",
4 "protocol": "webhook",
5 "protocol_info": {
6 "http_method": "POST",
7 "http_url": "http://imports.feedonomics.com/export/run_webhook.php",
8 "http_body": "escaped json",
9 "http_headers": "Content-Type: application/json"
10 },
11 "host": "",
12 "username": "",
13 "password": "",
14 "file_header": "",
15 "file_footer": "",
16 "threshold": 0,
17 "delimiter": "tab",
18 "compression": "",
19 "quoted_fields": 0,
20 "deduplicate_field_name": {},
21 "export_format": "delimited",
22 "include_column_names": 1,
23 "export_encoding": "",
24 "enclosure": "'",
25 "escape": "\\\\",
26 "strip_characters": [
27 "\\\\r",
28 "\\\\n",
29 "\\\\t"
30 ],
31 "show_empty_tags": 0,
32 "use_cdata": 0,
33 "xml_write_document_tag": 0,
34 "zip_inner_file_name": "",
35 "time_between_attempts": 1,
36 "max_attempts": 1,
37 "destination": "target",
38 "destination_region": "en-US"
39}
Was this page helpful?
Previous

Retrieves a list of exports for a database

Next

Updates an export configuration

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database

Headers

x-api-keystringRequired

Response

Successful operation
http_bodyobject
escaped json